# ORBInitializer_Registry_Adapter.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/SystemException.h"`
`#include "ace/Service_Object.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for ORBInitializer_Registry_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor
namespace | TAO

## Classes

class | TAO::ORBInitializer_Registry_Adapter

## Typedefs

typedef CORBA::ULong | SlotId

## Detailed Description

Id
  ORBInitializer_Registry_Adapter.h,v 1.9 2005/11/02 07:13:03 ossama Exp

Author:
  Johnny Willemsen <jwillemsen@remedy.nl>

## Typedef Documentation

typedef CORBA::ULong PortableInterceptor::SlotId